/// <reference types="react" />
import { NestableProps } from '../Common/React';
import { ColorVariant, ThemableProps } from '../Common/Theme';
export declare type SwitchType = 'checkbox' | 'radio' | 'toggle';
export interface SwitchProps extends NestableProps, ThemableProps {
    value?: boolean;
    type: SwitchType;
    variant: ColorVariant;
    onSwitch: () => void;
}
export declare const Switch: (props: SwitchProps) => JSX.Element;
